package yangtz.cs.liu.wechat.utils;


import com.core.domain.VerificationCodeParam;

public class SignUtil {


  public static boolean validateMessage(VerificationCodeParam param,String secretKey) {
    CheckUtil check = new CheckUtil(secretKey);
    check.setMap(param.getMap());
    check.setValue("timeStamp", param.getTimeStamp());
    boolean result = check.checkSign(param.getSign());
    return result;
  }
}